Bug 142082 - Will not boot with ANY usb plugged in, System hangs if you plug in usb after system is booted.
Summary: Will not boot with ANY usb plugged in, System hangs if you plug in usb after ...
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-07 06:28 UTC by Fred Antrobus
Modified: 2015-01-04 22:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 00:08:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fred Antrobus 2004-12-07 06:28:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Have FC3 2.6.9-1.681_FC3 installed and working without any usb devices.
If I plug in ANY usb device the computer hangs. both the mouse and
keyboard stop responding.
If I reboot and leave the usb device plugged in the system hangs when
it tries to initialize the hardware.
If I remove the usb device before I reboot all works as expected.

Version-Release number of selected component (if applicable):
udev-039-10.FC3.4

How reproducible:
Always

Steps to Reproduce:
1.boot computer
2.plug memory stick in usb
3.``
    

Actual Results:  lose mouse and keyboard.
They nolonger respond.

Expected Results:  should recognise the device 

Additional info:

Comment 1 Harald Hoyer 2004-12-07 11:52:28 UTC
are you sure this has s.th. to do with udev?

Comment 2 Fred Antrobus 2004-12-09 09:16:19 UTC
I have read all the other simular problems on the web, and every thing
seems to point to udev. udev nows controls hotswaping usb devices.

I would be glad to work through the problems and debug it. All of the
things that I normally do to chase a problem have not worked. It just
hangs. It seems to me that this could be something like a bad rule in
udev. I have never wored with udev before, don't really know were to
look first.

Fred

Comment 3 Harald Hoyer 2004-12-09 13:45:55 UTC
udev does not control the usb devices, it only makes device nodes in
/dev. The problem you have sounds like a kernel problem.

Comment 4 Orion Poplawski 2004-12-13 18:02:55 UTC
I suspect this is the same as bug 139187, as I saw the same behavior.  Problem
is  kernel hang on removal of usb-storage module.  Appears to be fixed in
rawhide kernel.

Comment 5 Dave Jones 2005-07-15 19:30:21 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 6 Dave Jones 2005-10-03 00:08:44 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.